Misbehavin' Dimensions

Discussion in 'AutoCAD' started by cramage, Jul 11, 2003.

  1. cramage

    cramage Guest

    I’ve got a real conundrum here. To dimension the width between two parallel lines, I want to wrap the DIMALIGNED command like so.

    (defun C:Test ( / ptBdy1 ptBdy2)
      (setvar "OSMODE" 512) ; near
      (setq ptBdy1 (getpoint "Specify point on R/W boundary: (NEAR to)"))
      (setvar "OSMODE" 128) ; perp
      (setq ptBdy2 (getpoint ptBdy1 "Specify point on opposite boundary: (PERP to)"))
      (setvar "OSMODE" 0) ; clear running osnap
      (command "DIMALIGNED" ptBdy1 ptBdy2 pause)
    ); C:Test

    Unfortunately, the dimension I end up with is not associative nor can it be made so. I can go ahead and manually run the DIMALIGNED command and get an associative dimension. When I compare the two dimensions, the one I made with the wrapper function is missing the extension dictionary group, the persistent reactors group and the related hooks.

    Anyone got any ideas how this can be made to work? Thanks.
     
    cramage, Jul 11, 2003
    #1
  2. cramage

    cramage Guest

    OOOPS. How do I force new lines when posting messages ?
     
    cramage, Jul 11, 2003
    #2
  3. cramage

    T4 Guest

    try this and see if it's what you need. i know this works as long as dimaso is set to on.



     



    ;;DIM ALIGN W/"NEA" & "PERP" DEFAULTS...AN...
    (defun C:AN()
       (setvar "cmdecho" 0)
       (PROMPT "\nDIM ALIGN W/NEAR AND PERP DEFAULT")
       (Command "DIM" "ALI" "NEA" PAUSE "PER" PAUSE PAUSE "" "EXIT")
         (princ)
    )



    "cramage" <> wrote in message news:...

    I’ve got a real conundrum here. To dimension the width between two parallel lines, I want to wrap the DIMALIGNED command like so.

    (defun C:Test ( / ptBdy1 ptBdy2)
      (setvar "OSMODE" 512) ; near
      (setq ptBdy1 (getpoint "Specify point on R/W boundary: (NEAR to)"))
      (setvar "OSMODE" 128) ; perp
      (setq ptBdy2 (getpoint ptBdy1 "Specify point on opposite boundary: (PERP to)"))
      (setvar "OSMODE" 0) ; clear running osnap
      (command "DIMALIGNED" ptBdy1 ptBdy2 pause)
    ); C:Test

    Unfortunately, the dimension I end up with is not associative nor can it be made so. I can go ahead and manually run the DIMALIGNED command and get an associative dimension. When I compare the two dimensions, the one I made with the wrapper function is missing the extension dictionary group, the persistent reactors group and the related hooks.

    Anyone got any ideas how this can be made to work? Thanks.
     
    T4, Jul 11, 2003
    #3
  4. cramage

    cramage Guest

    Thanx T4 !

    It does work. It's not as interactive as I would like but I do wind up with an associative dimension. Now I won't lie awake all night thinking about it. Cheers !
     
    cramage, Jul 11, 2003
    #4
  5. cramage

    Anne Brown Guest

    Unfortunately the HTTP web side of the newsgroups is not allowing
    carriage returns to show properly. Messages there show as one
    long line that just keeps wrapping. This is a known problem and
    scheduled for repair.

    If you are able to use the NNTP newsgroup reader side of the
    newsgroups, carriage returns show properly.

    A user posted this tip on properly spaced lines/paragraphs from
    the HTTP side:

    Place your text or code between a pair of PRE /PRE html tags:

    <PRE>

    Line 1
    Line 2
    Line 3

    </PRE>


    or

    If you're faced with one of those posts and want to get a clearer
    picture, a quick solution is to view the HTML source. If you're
    using another browser the commands might be slightly different,
    but for Internet Explorer right-click somewhere on the message in
    question and from the popup menu select View Source. Notepad will
    open up with the HTML source in it. Press F3 and search for
    something unique in the post. You will then see the message as
    the originator posted it in plain text.
     
    Anne Brown, Jul 11, 2003
    #5
  6. cramage

    cramage Guest

    Thanks Anne, I think this will work.
     
    cramage, Jul 14, 2003
    #6
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.